## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csFog Struct Reference
[Crystal Space 3D Engine]

Sector fog structure. More...

`#include <iengine/sector.h>`

List of all members.

## Public Attributes

float | blue
| Color (blue).
float | density
| Density (0 is off).
bool | enabled
| If true then fog is enabled.
float | end
| Fog end.
float | green
| Color (green).
csFogMode | mode
| Fog mode.
float | red
| Color (red).
float | start
| Fog start.

## Detailed Description

Sector fog structure.

Definition at line 66 of file sector.h.

## Member Data Documentation

float csFog::blue

| Color (blue). Definition at line 77 of file sector.h.

float csFog::density

| Density (0 is off). Definition at line 71 of file sector.h.

bool csFog::enabled

| If true then fog is enabled. Definition at line 69 of file sector.h.

float csFog::end

| Fog end. Definition at line 81 of file sector.h.

float csFog::green

| Color (green). Definition at line 75 of file sector.h.

csFogMode csFog::mode

| Fog mode. Definition at line 83 of file sector.h.

float csFog::red

| Color (red). Definition at line 73 of file sector.h.

float csFog::start

| Fog start. Definition at line 79 of file sector.h.

The documentation for this struct was generated from the following file:

- iengine/sector.h